<?php
// $Id: index.php,v 1.1 2004/07/11 10:28:18 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: James Knickelbein
// Author Website : http://www.journeymilwaukee.com
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

include_once("header.php");

if ($xoopsConfig['startpage'] == "mydownloads") {
	$xoopsOption['show_rblock'] = 1;
	include_once(XOOPS_ROOT_PATH."/header.php");
	make_cblock();
	echo "<br />";
	} else {
		$xoopsOption['show_rblock'] = 0;
		include_once(XOOPS_ROOT_PATH."/header.php");
	}

$mytree = new XoopsTree($db->prefix("mydownloads_cat"), "cid", "pid");
$result = $db->query("SELECT cid, title, imgurl FROM ".$db->prefix("mydownloads_cat")." WHERE pid=0 ORDER BY title") or die("Error");

OpenTable();
mainheader();

echo "<center><table border='0' cellspacing='0' cellpadding='10'><tr>";

$count = 0;
while ($myrow = $db->fetch_array($result)) {
	$title = $myts->makeTboxData4Show($myrow['title']);
	$totaldownload = getTotalItems($myrow['cid'], 1);
	echo "<td valign='top'>";
	if ( !empty($myrow['imgurl']) && $myrow['imgurl'] != "http://" ) {
		echo "<a href='".XOOPS_URL."/modules/mydownloads/viewcat.php?cid=".$myrow['cid']."'><img src='".formatURL(XOOPS_URL .'/modules/mydownloads/cache/logos/', $myrow['imgurl'])."' border='0' alt='$title'></a><br />";
	}
	echo "<a href='".XOOPS_URL."/modules/mydownloads/viewcat.php?cid=".$myrow['cid']."'><b>$title</b></a>&nbsp;($totaldownload)<br />";
	// get child category objects
	$arr     = array();
	$arr     = $mytree->getFirstChild($myrow['cid'], "title");
	$space   = 0;
	$chcount = 0;
	foreach($arr as $ele) {
		$chtitle = $myts->makeTboxData4Show($ele['title']);
		if ($chcount > 5) {
			echo "...";
			break;
		}
		if ($space>0) {
			echo ", ";
		}
		echo "<a href='".XOOPS_URL."/modules/mydownloads/viewcat.php?cid=".$ele['cid']."'>".$chtitle."</a>";
		$space++;
		$chcount++;
	}
	if ($count < 1) {
		echo "</td>";
	}
	$count++;
	if ($count == 2) {
		echo "</td></tr><tr>";
		$count = 0;
	}
}
echo "</td></tr></table>";
list($numrows) = $db->fetch_row($db->query("SELECT COUNT(*) FROM ".$db->prefix("mydownloads_downloads")." WHERE status>0"));
echo "<br /><br />";
printf(_MD_THEREARE, $numrows);
echo "</center>";

if ($mydownloadsConfig['rss_enable'] == 1) {
	echo "<div align='right'><a href='./cache/downloads.xml' target='_blank'><img src='./images/xml.gif' border='0' vspace='2'></a></div>";
}

CloseTable();

echo "<br />";

OpenTable();
echo "<div align='left'><h4>"._MD_LATESTLIST."</h4>";
showNew($mytree);
echo "</div>";
CloseTable();
include_once(XOOPS_ROOT_PATH."/modules/mydownloads/footer.php");


//---------------------------------------------------------------------------------------//
/**
* Shows the Latest Listings on the front page
*
* @param type $var description
* @return type description
*/
function showNew($mytree) {
global $myts, $db, $xoopsConfig, $xoopsModule, $mydownloadsConfig;

$sql = "
	SELECT
	lid,
	cid,
	title,
	url,
	homepage,
	version,
	size,
	platform,
	logourl,
	status,
	date,
	hits,
	rating,
	votes,
	comments,
	description
	FROM
	".$db->prefix("mydownloads_downloads")."
	WHERE
	status>0
	ORDER BY date DESC";

$result = $db->query($sql, $mydownloadsConfig['newdownloads'], 0);

while (list($lid, $cid, $dtitle, $url, $homepage, $version, $size, $platform, $logourl, $status, $time, $hits, $rating, $votes, $comments, $description)=$db->fetch_row($result)) {
	$rating      = number_format($rating, 2);
	$dtitle      = $myts->makeTboxData4Show($dtitle);
	$url         = $myts->makeTboxData4Show($url);
	$homepage    = $myts->makeTboxData4Show($homepage);
	$version     = $myts->makeTboxData4Show($version);
	$size        = $myts->makeTboxData4Show($size);
	$platform    = $myts->makeTboxData4Show($platform);
	$logourl     = $myts->makeTboxData4Show($logourl);
	$datetime    = formatTimestamp($time, "s");
	$description = $myts->makeTareaData4Show($description, 1, 1, 1);
	include("include/dlformat.php");
	}

}
?>
